<?php
/**
 * Defines classes and constants used by the Code Box Plugin
 */

/**
 * Language Text Domain
 */
define('SFL_CODE_BOX_TD', 'sfl_code_box_td');

/**
 * Shortcode Tag
 */
define('SFL_CODE_BOX_TAG',  'code_box');

/**
 * Shortcode Attribute to link to Code Container post type that contains
 * the source code that is to be displayed.
 */
define('SFL_CODE_BOX_CONTAINER_ATTR', 'container');

/**
 * Shortcode Attribute to add CSS classes to each line of code.
 */
define('SFL_CODE_BOX_LINE_ATTR', 'class');

/**
 * Shortcode Attribute to add CSS classes to inner division.
 */
define('SFL_CODE_BOX_INNER_ATTR', 'inner');

/**
 * Shortcode Attribute to add CSS classes to outer division.
 */
define('SFL_CODE_BOX_OUTER_ATTR', 'outer');

/**
 * Shortcode Attribute to control outer division ID.
 */
define('SFL_CODE_BOX_OUTER_ID_ATTR', 'outer_id');

/**
 * Shortcode Attribute to control inner division ID.
 */
define('SFL_CODE_BOX_INNER_ID_ATTR', 'inner_id');

/**
 * Define the name used for the CSS file
 */
define('SFL_CODE_BOX_STYLE', 'code-box-style');


/**
 * The Text Domain used by this plugin.
 */
define( 'SFL_CODE_BOXS_TD', 'sfl_code_box' );

define( 'SFL_CODE_BOX_PLUGIN_URI',  plugin_dir_url( dirname(__FILE__) ) );
define( 'SFL_CODE_BOX_PLUGIN_PATH', plugin_dir_path(dirname(__FILE__) ) );

define( 'SFL_CODE_BOX_CSS_URI',           SFL_CODE_BOX_PLUGIN_URI  . 'css/' );
define( 'SFL_CODE_BOX_SCRIPT_URI',        SFL_CODE_BOX_PLUGIN_URI  . 'js/' );
define( 'SFL_CODE_BOX_INCLUDES_CSS_URI',  SFL_CODE_BOX_PLUGIN_URI  . 'includes/' );
define( 'SFL_CODE_BOX_TEMPLATES_CSS_URI', SFL_CODE_BOX_PLUGIN_URI  . 'templates/' );

define( 'SFL_CODE_BOX_CSS_PATH',          SFL_CODE_BOX_PLUGIN_PATH . 'css/' );
define( 'SFL_CODE_BOX_SCRIPT_PATH',       SFL_CODE_BOX_PLUGIN_PATH . 'js/' );
define( 'SFL_CODE_BOX_INCLUDES_PATH',     SFL_CODE_BOX_PLUGIN_PATH . 'includes/' );
define( 'SFL_CODE_BOX_TEMPLATES_PATH',    SFL_CODE_BOX_PLUGIN_PATH . 'templates/' );

/**
 * Define constants for the Code Box Container custom post type
 */
class SFL_Code_Box
{
	// URL and Path information.
	// Note that Script and Template uri/path do not exist yet.
	const PLUGIN_URI           = SFL_CODE_BOX_PLUGIN_URI;
	const PLUGIN_CSS_URI       = SFL_CODE_BOX_CSS_URI;
	const PLUGIN_SCRIPT_URI    = SFL_CODE_BOX_SCRIPT_URI;
	const PLUGIN_TEMPLATE_URI  = SFL_CODE_BOX_TEMPLATES_URI;

	const PLUGIN_PATH          = SFL_CODE_BOX_PLUGIN_PATH;
	const PLUGIN_CSS_PATH      = SFL_CODE_BOX_CSS_PATH;
	const PLUGIN_SCRIPT_PATH   = SFL_CODE_BOX_SCRIPT_PATH;
	const PLUGIN_TEMPLATE_PATH = SFL_CODE_BOX_TEMPLATES_PATH;

	// Style Sheet Information
	const MAIN_CSS_Handle      = 'sfl-code-box-main-css';
}

class SFL_Code_Container
{

	// Custom Post Type Information
	const TYPE_NAME            = 'sfl_code_container';
	const SLUG                 = 'code-container';

	// Metabox Information
	const  METABOX_NAME        = 'sfl_code_container_metabox';

	const  FIELD_SOURCE_CODE   = 'sfl_source_code';

}

