<?php
/**
 * Code Container Metabox functions.
 */

require_once('constants.php');


function sfl_code_container_create_metabox()
{
	// Disable the wp_editor() so that we can replace it with 
	// our textarea that does not get altered by filters. 
	// Note that we will substitute our own input field with the
	// Content ID so that we stills store the source code in the
	// post_content field.
	if ( isset(
			 $_wp_post_type_features[SFL_Code_Container::TYPE_NAME]['editor'])
		 &&  $_wp_post_type_features[SFL_Code_Container::TYPE_NAME]['editor'] )
	{
		// The feature is set so lets turn it off.
		unset( 
			$_wp_post_type_features[SFL_Code_Container::TYPE_NAME]['editor'] );
	}
	
	// Register the SFL Book Metabox used for adding and editing a book.
	add_meta_box(
		SFL_Code_Container::METABOX_NAME,       // ID
		__('Code Container Information', 
		   SFL_CODE_BOX_TD),                    // Title
		'sfl_code_container_metabox_fields',    // Display Callback
		SFL_Code_Container::TYPE_NAME,          // Screen
		'normal',                               // Context
		'high',                                 // Priority
		null                                    // Callback Arguments
		);

	return;

}   // end of sfl_code_container_create_metabox()


function sfl_code_container_metabox_fields( $post )
{
	$source_code = $post->post_content;
//	<div class="wp-editor-wrap">

?>
         <div class="sfl-container-label">
		 <label for="content"><strong>Source Code</strong></label>
		 <textarea id="content" name="content"
				   cols="80" rows="20"><?php echo $source_code; ?></textarea>
          

<?php

}   // end of sfl_code_container_metabox_fields()

function sfl_code_container_metabox_save( $post_id, $post, $update )
{
	// Nothing to save so long as we can use the post_content property
	// to store the source code.
	return $post_id;

}   // end of sfl_code_container_metabox_save()
