<?php
/**
 * Plugin Name:     SFL Code Box
 * Plugin URI:      http://steven.lebruns.com/computers/wordpress/plugins/code-box
 * Description:     A plugin provides shortcode for displaying boxes of source code (PHP, HTML, etc). in a box using scrollbars and line numbers.
 * Version:         0.5-beta
 * Author:          Steven F. LeBrun
 * Author URI:      http://steven.lebruns.com
 * Text Domain:     sfl_code_box
 * Domain Path:
 *
 * Shortcodes:
 * ===========
 *
 * [code_box outer="classes" inner="classes" class="classes" 
 *               outer_id="id"   inner_id="id"]
 * source code
 * [/code_box]
 */

require_once('includes/constants.php');

include_once('includes/container.php');
include_once('includes/shortcodes.php');

// Add actions to register the style sheets for this plugin.
add_action('init', 'sfl_code_box_register_styles');

// Add actions to enqueue the style sheets for this plugin.
// NOTE: If we ever plan to use this CSS in the admin pages, then we need
//       to add this function to the 'admin_enqueue_scipts' action.
//add_action('admin_enqueue_scripts', 'sfl_code_box_enqueue_styles', 999);
//add_action('wp_enqueue_scripts',    'sfl_code_box_enqueue_styles', 999);

// Priority 7 places Code Box CSS in header after Tempera Child Theme.
// Priority 8 places Code Box CSS in footer.
add_action('wp_head',               'sfl_code_box_enqueue_styles', 7);

/**
 * Action function to register this plugin's CSS files
 */
function sfl_code_box_register_styles()
{
	// The Style Sheet URL for this plugin.
	$style_url = SFL_Code_Box::PLUGIN_CSS_URI . 'sfl-code-box.css';

	// register the style sheet for future enqueuing.
	wp_register_style(SFL_CODE_BOX_STYLE,
					  $style_url,
					  false,
					  null,
					  'all' );
					  
	return;
}

/**
 * Action function to enqueue the style sheet for this plugin.
 *
 * Lets try to do this without making this stylesheet dependent on the
 * theme's style sheet.
 */
function sfl_code_box_enqueue_styles()
{
	// The Style Sheet URL for this plugin.
	$plugin_style_url = plugin_dir_url(__FILE__) . 'sfl-code-box.css';
    $theme_style_url  = get_stylesheet_uri();
	$theme_handle     = 'code-box-theme-style';

	wp_enqueue_style( $theme_handle, $theme_style_url );

	wp_enqueue_style( SFL_CODE_BOX_STYLE,
					  $plugin_style_url,
					  array( $theme_handle ),
					  null,
					  'all' );

//	wp_enqueue_style( SFL_CODE_BOX_STYLE );
					  
}

